Bug 124532 - Give a useful unwritable webapps dir error message
Give a useful unwritable webapps dir error message
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 06:30 EDT by Gary Benson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2004-05-27 06:30:30 EDT
Description of problem:
If you stick a war file in /var/lib/tomcat and said directory is
unwritable then the error message that is given is rubbish (see bug
124502 for an example).  It should give a better error message and it
should direct the user to the relevant section of
/etc/sysconfig/tomcat so they can rectify the problem.

Version-Release number of selected component (if applicable):
4.1.27-13
Comment 1 Matthew Miller 2005-04-26 11:13:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-28 12:48:43 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.